Bug 175990 - editors/emacs-devel: Emacs doesn't start with DISPLAY set when compiled with DBUS=off and GSETTINGS=on
Summary: editors/emacs-devel: Emacs doesn't start with DISPLAY set when compiled with ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-09 20:20 UTC by Fabian Keil
Modified: 2013-02-17 09:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2013-02-09 20:20:00 UTC
editors/emacs-devel doesn't work for me when compiled with DBUS=off and GSETTINGS=on.

When started from the terminal (urxvt) it doesn't start the GUI and blocks the keyboard except that CTRL-C still works. It even prevents the window manager (i3) from reacting to keyboard input:

fk@r500 ~ $emacs
   ^C
(emacs:2357): GLib-GIO-CRITICAL **: guint g_dbus_connection_add_filter(GDBusConnection *, GDBusMessageFilterFunction, gpointer, GDestroyNotify): assertion `G_IS_DBUS_CONNECTION (connection)' failed

It works as expected when DISPLAY is unset first. It works with DISPLAY set when using the following OPTIONS:

fk@r500 /usr/ports/editors/emacs-devel $make showconfig
===> The following configuration options are available for emacs-24.3.50.111312_1,2:
     DBUS=off: D-Bus IPC system
     GCONF=off: GConf configuration backend
     GIF=on: GIF image format
     GNUTLS=off: SSL/TLS via GnuTLS
     GSETTINGS=off: GSettings support
     JPEG=on: JPEG image format
     LTO=off: Enable link-time optimization (requires GCC 4.6+)
     M17N=on: M17N support for text-shaping
     MAGICK=off: ImageMagick library
     OTF=on: Opentype fonts suport
     PNG=on: PNG image format
     SCROLLBARS=on: Toolkit scroll-bars
     SOUND=off: Sound support
     SOURCES=off: Install sources
     SVG=on: SVG vector image format
     SYNC_INPUT=on: Synchronously process asynchronous input
     TIFF=on: TIFF image format
     XFT=on: Xft font library
     XIM=on: X Input Method Support
     XML=on: XML file/format/parser
     XPM=on: XPM pixmaps
====> Options available for the single X11TOOLKIT: you have to select exactly one of them
     GTK2=on: GTK+ 2 GUI toolkit
     GTK3=off: GTK+ 3 GUI toolkit
     XAW=off: Athena widgets
     XAW3D=off: Athena3D widgets
     MOTIF=off: Motif widget library
===> Use 'make config' to modify these settings

Fix: 

I think the Makefile should simply reject the combination DBUS=off and GSETTINGS=on.

I don't mind having to disable GSETTINGS and thus didn't investigate the problem any further.
How-To-Repeat: Compile with DBUS=off and GSETTINGS=on and try to start emacs with GUI.
Comment 1 Edwin Groothuis freebsd_committer 2013-02-10 09:48:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ashish

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ashish SHUKLA freebsd_committer 2013-02-13 13:48:48 UTC
Hi,

Thanks for reporting the issue. I'll go through it, and hopefully have
something this weekend.

-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
Sent from my Emacs
Comment 3 dfilter service freebsd_committer 2013-02-17 09:17:49 UTC
Author: ashish
Date: Sun Feb 17 09:17:41 2013
New Revision: 312406
URL: http://svnweb.freebsd.org/changeset/ports/312406

Log:
  - Fix SOUND support[1]
  - Make GSETTINGS option depend on DBUS option, as GSettings requires
    DBus to be functional[2]
  - Remove ABI versions from LIB_DEPENDS
  
  PR:		ports/176055[1], ports/175990[2]
  Submitted by:	Zeus Panchenko <zeus.panchenko at gmail.com>[1],
  		Fabian Keil <fk at fabiankeil.de>[2]

Modified:
  head/editors/emacs/Makefile
  head/editors/emacs/files/patch-configure

Modified: head/editors/emacs/Makefile
==============================================================================
--- head/editors/emacs/Makefile	Sun Feb 17 08:43:16 2013	(r312405)
+++ head/editors/emacs/Makefile	Sun Feb 17 09:17:41 2013	(r312406)
@@ -60,7 +60,7 @@ OPTIONS_DEFINE=	CANNA DBUS GCONF GIF JPE
 OPTIONS_SINGLE=	X11TOOLKIT
 
 CANNA_DESC=		Canna support
-GSETTINGS_DESC=		GSettings support
+GSETTINGS_DESC=		GSettings support (requires DBUS)
 SCROLLBARS_DESC=	Toolkit scroll-bars
 SOUND_DESC=		Sound support
 SOURCES_DESC=		Install sources
@@ -89,7 +89,7 @@ PATCH_DIST_STRIP=	-p1
 CONFIGURE_ARGS+=	--with-canna \
 			--with-canna-includes=${LOCALBASE}/include \
 			--with-canna-libraries=${LOCALBASE}/lib
-LIB_DEPENDS+=		canna.1:${PORTSDIR}/japanese/canna-lib
+LIB_DEPENDS+=		canna:${PORTSDIR}/japanese/canna-lib
 .endif
 
 .if defined(WITHOUT_X11)
@@ -111,7 +111,7 @@ CONFIGURE_ARGS+=	--with-x-toolkit=gtk
 USE_GNOME+=	gtk30
 CONFIGURE_ARGS+=	--with-x-toolkit=gtk3
 .elif ${PORT_OPTIONS:MXAW3D}
-LIB_DEPENDS+=	Xaw3d.${XAWVER}:${PORTSDIR}/x11-toolkits/Xaw3d
+LIB_DEPENDS+=	Xaw3d:${PORTSDIR}/x11-toolkits/Xaw3d
 CONFIGURE_ARGS+=	--with-x-toolkit=athena
 .elif ${PORT_OPTIONS:MXAW}
 USE_XORG=	xaw
@@ -130,19 +130,19 @@ CONFIGURE_ARGS+=	--without-sync-input
 .endif
 
 .if ${PORT_OPTIONS:MJPEG}
-LIB_DEPENDS+=	jpeg.11:${PORTSDIR}/graphics/jpeg
+LIB_DEPENDS+=	jpeg:${PORTSDIR}/graphics/jpeg
 .else
 CONFIGURE_ARGS+=	--without-jpeg
 .endif
 
 .if ${PORT_OPTIONS:MTIFF}
-LIB_DEPENDS+=	tiff.4:${PORTSDIR}/graphics/tiff
+LIB_DEPENDS+=	tiff:${PORTSDIR}/graphics/tiff
 .else
 CONFIGURE_ARGS+=	--without-tiff
 .endif
 
 .if ${PORT_OPTIONS:MGIF}
-LIB_DEPENDS+=   gif.5:${PORTSDIR}/graphics/giflib
+LIB_DEPENDS+=   gif:${PORTSDIR}/graphics/giflib
 .else
 CONFIGURE_ARGS+=	--without-gif
 .endif
@@ -161,17 +161,17 @@ CONFIGURE_ARGS+=	--without-xpm
 
 .if ${PORT_OPTIONS:MXFT}
 USE_XORG+=	xft
-LIB_DEPENDS+=	freetype.9:${PORTSDIR}/print/freetype2
+LIB_DEPENDS+=	freetype:${PORTSDIR}/print/freetype2
 CONFIGURE_ARGS+=	--with-xft
 .if ${PORT_OPTIONS:MM17N}
 CONFIGURE_ARGS+=	--with-m17n-flt
-LIB_DEPENDS+=	m17n.4:${PORTSDIR}/devel/m17n-lib
+LIB_DEPENDS+=	m17n:${PORTSDIR}/devel/m17n-lib
 .else
 CONFIGURE_ARGS+=	--without-m17n-flt
 .endif
 .if ${PORT_OPTIONS:MOTF}
 CONFIGURE_ARGS+=	--with-otf
-LIB_DEPENDS+=	otf.0:${PORTSDIR}/print/libotf
+LIB_DEPENDS+=	otf:${PORTSDIR}/print/libotf
 .else
 CONFIGURE_ARGS+=	--without-libotf
 .endif
@@ -221,10 +221,13 @@ CONFIGURE_ARGS+=	--without-sound
 .endif
 
 .if ${PORT_OPTIONS:MDBUS}
-LIB_DEPENDS+=	dbus-1.3:${PORTSDIR}/devel/dbus
+LIB_DEPENDS+=	dbus-1:${PORTSDIR}/devel/dbus
 CONFIGURE_ARGS+=	--with-dbus
 .else
 CONFIGURE_ARGS+=	--without-dbus
+.if ${PORT_OPTIONS:MGSETTINGS}
+IGNORE=	GSettings support requires DBUS. Please run 'make config'
+.endif
 .endif
 
 .if ${PORT_OPTIONS:MXML}
@@ -235,7 +238,7 @@ CONFIGURE_ARGS+=	--without-xml2
 .endif
 
 .if ${PORT_OPTIONS:MGNUTLS}
-LIB_DEPENDS+=		gnutls.26:${PORTSDIR}/security/gnutls
+LIB_DEPENDS+=		gnutls:${PORTSDIR}/security/gnutls
 CONFIGURE_ARGS+=	--with-gnutls
 .else
 CONFIGURE_ARGS+=	--without-gnutls

Modified: head/editors/emacs/files/patch-configure
==============================================================================
--- head/editors/emacs/files/patch-configure	Sun Feb 17 08:43:16 2013	(r312405)
+++ head/editors/emacs/files/patch-configure	Sun Feb 17 09:17:41 2013	(r312406)
@@ -3,7 +3,7 @@ $FreeBSD$
 
 --- configure.orig
 +++ configure
-@@ -8276,177 +8276,13 @@
+@@ -8283,159 +8283,6 @@
    LIBSOUND=
  fi
  
@@ -160,20 +160,10 @@ $FreeBSD$
 -
 -  fi
 -
--        if test x$have_sound_header = xyes || test $HAVE_ALSA = yes; then
--     case "$opsys" in
--              gnu-linux|freebsd|netbsd)
--
--$as_echo "#define HAVE_SOUND 1" >>confdefs.h
--
--         ;;
--     esac
--  fi
--
--
- fi
- 
- for ac_header in sys/select.h sys/time.h unistd.h utime.h \
+         if test x$have_sound_header = xyes || test $HAVE_ALSA = yes; then
+      case "$opsys" in
+               gnu-linux|freebsd|netbsd)
+@@ -8453,7 +8300,7 @@
    linux/version.h sys/systeminfo.h \
    stdio_ext.h fcntl.h coff.h pty.h sys/mman.h \
    sys/vlimit.h sys/resource.h locale.h sys/_mbstate_t.h \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Ashish SHUKLA freebsd_committer 2013-02-17 09:27:54 UTC
State Changed
From-To: open->closed

Committed. Thanks!